﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.CRM
{
    public class OperationClientCompanyDto
    {

        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>

        public int Id { get; set; }
        /// <summary>
        /// 客户公司名称
        /// </summary>
        public string CompanyName { get; set; }
        /// <summary>
        /// 公司地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 邮政编码
        /// </summary>
        public string PostCodes { get; set; }
        /// <summary>
        /// 最后操作人
        /// </summary>
        public int LastedOpUserId { get; set; }
        /// <summary>
        /// 最后操作时间
        /// </summary>
        public DateTime LastedOpDt { get; set; }= DateTime.Now;
        
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
     
    }
    public class ClientCompanyDto
    {
        public int Id { get; set; }
        public int DeleteUserId { get; set; }
    }
}
