﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    /// <summary>
    /// appsettings.json配置对应实体类（团组管控流程配置）
    /// </summary>
    public class GroupsConfig
    {
        public const string KEY = "GroupsConfig";

        /// <summary>
        /// 创建团组管控流程的默认用户Id ,当前为管理员4
        /// </summary>
        public int AutoCreate { get; set; }

        /// <summary>
        /// 团组管控流程默认总负责人，当前为王鸽149
        /// </summary>
        public int Leader { get; set; }

        /// <summary>
        /// 团组默认初始日期（增加3天）
        /// </summary>
        public int ExBeginDays { get; set; }

        /// <summary>
        /// 团组默认结束日期（增加30天）
        /// </summary>
        public int ExEndDays { get; set; }

        /// <summary>
        /// 默认用户Id（国交部共享号）
        /// </summary>
        public int DefaultUser { get; set; }

        /// <summary>
        /// 总经理Id
        /// </summary>
        public int Boss { get; set; }

        /// <summary>
        /// 屏蔽用户Id
        /// </summary>
        public string FilterUser { get; set; }
    }
}
