﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    public class QueryHotelDataDto:DtoBase
    {
        /// <summary>
        /// 所在城市
        /// </summary>
        public string City { get; set; }
        /// <summary>
        /// 酒店名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }
        /// <summary>
        /// 联系方式
        /// </summary>
        public string ContactPhone { get; set; }
    }
    /// <summary>
    /// 酒店资料操作（增删）
    /// </summary>
    public class OperationHotelDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 所在城市
        /// </summary>
        public string City { get; set; }
        /// <summary>
        /// 酒店名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 酒店星级
        /// </summary>
        public string Level { get; set; }
        /// <summary>
        /// 酒店地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 酒店电话
        /// </summary>
        public string Tel { get; set; }
        /// <summary>
        /// 酒店传真
        /// </summary>
        public string Fax { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        public string Contact { get; set; }
        /// <summary>
        /// 联系方式
        /// </summary>
        public string ContactPhone { get; set; }
        /// <summary>
        /// 酒店其他信息
        /// </summary>
        public string OtherInformation { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
       
    }
    public class DelHotelDataDto
    {
        public int Id { get; set; }
        public int DeleteUserId { get; set; }
    }
}
