﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    public class OpAirTicketAgentDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 代理商名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 代理商账户
        /// </summary>
        public string Account { get; set; }
        /// <summary>
        /// 代理商银行
        /// </summary>
        public string Bank { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}
