﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    public class Search_ResMemoDto : DtoBase
    {
        /// <summary>
        /// 查询类型(int)
        /// <list type="table">
        /// <item>1:对象</item>
        /// <item>2:列表</item>
        /// </list>
        /// </summary>
        public int SearchType { get; set; }

        #region 对象

        public int MemoId { get; set; }

        #endregion

        public string Title { get; set; }
        public string Abstracts { get; set; }
        public int ReadLevel { get; set; }

    }

    public class Edit_ResMemoDto
    {
        public int MemoId { get; set; }
        public int SysUserId { get; set; }
        public int ReadLevel { get; set; }
        public string Title { get; set; }
        public string Content { get; set; }
        public string Abstracts { get; set; }

        /// <summary>
        /// 0:添加,1:修改,-1:删除
        /// </summary>
        public int EditType { get; set; }
    }
}
