﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Resource
{
    public class QueryThreeCodeDto:DtoBase
    {
        /// <summary>
        /// 三字码
        /// </summary>
        public string Three { get; set; }
        /// <summary>
        /// 城市
        /// </summary>
        public string City { get; set; }
    }
    public class ThreeCodeOperationDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 主键Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 三字码
        /// </summary>
        public string Three { get; set; }
        /// <summary>
        /// 四字码
        /// </summary>
        public string Four { get; set; }
        /// <summary>
        /// 国家
        /// </summary>
        public string Country { get; set; }
        /// <summary>
        /// 城市
        /// </summary>
        public string City { get; set; }
        /// <summary>
        /// 机场
        /// </summary>
        public string AirPort { get; set; }
        /// <summary>
        /// 机场英文名
        /// </summary>
        public string AirPort_En { get; set; }

        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
       
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
       
    }
    public class ThreeCodeDelDto
    {
        public int Id { get; set; }
        public int DeleteUserId { get; set; }
    }
}
