﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.SmallFun
{
    /// <summary>
    /// 获取汇率 请求dto
    /// </summary>
    public class ExchangeRateDto:DtoBase
    {
        /// <summary>
        /// 转换前币种Code
        /// </summary>
        public string CurrencyCodePer { get; set; }

        /// <summary>
        /// 转换后Code
        /// </summary>
        public string CurrencyCodeSuf { get; set; }

        /// <summary>
        /// 转换金额
        /// </summary>
        public decimal Money { get; set; }

    }
}
