﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Business
{
    /// <summary>
    /// 会务物料采购总计
    /// </summary>
    [SugarTable("Bus_ConfItemList")]
    public class Bus_ConfItemListInfo : EntityBase
    {
        /// <summary>
        /// 团组(会议)编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Diid { get; set; }
        /// <summary>
        /// 总计成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal TotalCost { get; set; }

        /// <summary>
        /// Excel文件路径
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(255)")]
        public string ExcelPath { get; set; }

    }
}
