﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    public class Grp_CreditCardPaymentView
    {
        /// <summary>
        /// 团组编号
        /// </summary>
        public int DiId { get; set; }

        /// <summary>
        /// 团组名称
        /// </summary>
        public string TeamName { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        public string ClientName { get; set; }

        /// <summary>
        /// 访问国家
        /// </summary>
        public string VisitCountry { get; set; }

        /// <summary>
        /// 访问起止日期
        /// </summary>
        public string VisitDate { get; set; }

        /// <summary>
        /// 天数
        /// </summary>
        public int VisitDays { get; set; }

        /// <summary>
        /// 人数
        /// </summary>
        public int VisitPNumber { get; set; }

        /// <summary>
        /// 审核列表
        /// </summary>
        public List<Grp_CreditCardPaymentDetailView> DetailList { get; set; }
    }

    public class Grp_CreditCardPaymentDetailView
    {
        /// <summary>
        /// 费用Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 费用所属
        /// </summary>
        public string PriceNameContent { get; set; }

        /// <summary>
        /// 费用明细
        /// </summary>
        public string PriceMsgContent { get; set; }

        /// <summary>
        /// 费用模块
        /// </summary>

        public string PriceName { get; set; }

        /// <summary>
        /// Bus名称
        /// </summary>
        public string BusName { get; set; }

        /// <summary>
        /// 应付款金额	
        /// </summary>
        public string WaitPay { get; set; }

        /// <summary>
        /// 此次付款金额
        /// </summary>
        public string CurrPay { get; set; }

        /// <summary>
        /// 剩余尾款
        /// </summary>
        public string Balance { get; set; }

        /// <summary>
        /// 申请人
        /// </summary>
        public string OperatorName { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        public string AuditOperatorName { get; set; }

        /// <summary>
        /// 超预算比例
        /// </summary>
        public string OverBudget { get; set; }

        public string TotalStr1 { get; set; }
        public string TotalStr2 { get; set; }
        public string TotalStr3 { get; set; }
        public string TotalStr4 { get; set; }
    }
}
