﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos
{
    /// <summary>
    /// 请求实体类 基类
    /// </summary>
    public class DtoBase
    {
        /// <summary>
        /// 请求端口分类
        /// 1 Web 2 Android 3 IOS
        /// </summary>
        public int PortType { get; set; } = 1;

        public int PageIndex { get; set; } = 1;
        public int PageSize { get; set; } = 10;
    }

    public class JsonDtoBase
    {
        public string Paras { get; set; }
    }
    /// <summary>
    /// 删除参数
    /// </summary>
    public class DelBaseDto
    {
        /// <summary>
        /// 删除的数据Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 删除者Id
        /// </summary>
        public int DeleteUserId { get; set; }
    }
}
