﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    public class Search_GrpCreditCardPaymentDto
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        public int DiId { get; set; }

        /// <summary>
        /// 费用类型 0-所有, 76-酒店预订,77-行程,79-车导地接,80-签证,81-邀请公务,82-团组客户保险,85-机票预订,98-团组增减款项,285-其他款项
        /// </summary>
        public int Label { get; set; } = 0;

        /// <summary>
        /// 审核状态 0/1/2，未审核/审核通过/审核不通过
        /// </summary>
        public int AuditStatus { get; set; }
    }

    public class Edit_GrpCreditCardPaymentDto
    {
        public int CreditId { get; set; }
        public int AuditCode { get; set; }
        public int User { get; set; }
    }
}
