﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Groups
{
    public class TaskAssignmenDto
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        public int DIId { get; set; }
        /// <summary>
        /// 配置任务（设置数据外键编号）
        /// </summary>
        public int CTId { get; set; }

        /// <summary>
        /// 员工外键编号
        /// </summary>
        public List<int> UIdStr { get; set; }

        /// <summary>
        /// 启用标识
        /// </summary>
        public int IsEnable { get; set; } = 1;
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
    public class TaskAssignmenQueryDto
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        public int DIId { get; set; }
        /// <summary>
        /// 配置任务（设置数据外键编号）
        /// </summary>
        public int CTId { get; set; }
    }

}
