﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.System
{
    public class PageFunDto
    {
        private int pageid;

        private List<int> bindFunArr;

        private int uid;
        
        public int Pageid { get => pageid; set => pageid = value; }
        public List<int> BindFunArr { get => bindFunArr; set => bindFunArr = value; }
        public int Uid { get => uid; set => uid = value; }
    }
    /// <summary>
    /// 功能权限表操作
    /// </summary>
     public class OperationFunInitDta
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 功能名称
        /// </summary>
        public string FunctionName { get; set; }
        /// <summary>
        /// 功能权限Code
        /// </summary>
        public string FunctionCode { get; set; }
        /// <summary>
        /// 是否启用0否1是
        /// </summary>
        public int IsEnable { get; set; }
       
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
       
    }

    public class DelFunInitDta
    {
        /// <summary>
        /// 主键Id
        /// </summary>
        public int Id { get; set; }
        public int DeleteUserId { get; set; }
    }
}
