﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.System
{
    /// <summary>
    /// 类型表参数
    /// </summary>
    public class SetDataDto
    {
        /// <summary>
        /// 数据类型
        /// </summary>
        public int DataType { get; set; }
    }
    /// <summary>
    /// 类型表参数
    /// </summary>
    public class SetDataIDto:DtoBase
    {
        /// <summary>
        /// 数据类型
        /// </summary>
        public int STid { get; set; }
    }
    public class OperationSetDataDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 子类型名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Sys_SetDataType.id 数据类型表Id
        /// </summary>
        public int STid { get; set; }
      
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
     
    }
    public class DelSetDataDto
    {
        /// <summary>
        /// Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 删除者Id
        /// </summary>
        public int DeleteUserId { get; set; }
    }
}
