﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.System
{
    public class SetDataTypeDto:DtoBase
    {
        /// <summary>
        /// 类型名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 创建人名称
        /// </summary>
        public string CnName { get; set; }
    }
    public class OperationSetDataTypeDto
    {
        /// <summary>
        /// 操作状态
        /// 1 添加 
        /// 2 修改 
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 类型名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 是否启用
        /// </summary>
        public int IsEnable { get; set; } = 1;

        
        /// <summary>
        /// 创建者Id
        /// </summary>
     
        public int CreateUserId { get; set; }
      
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
       
    }

    public class DelSetDataTypeDto
    {
        /// <summary>
        /// Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 删除者Id
        /// </summary>
        public int DeleteUserId { get; set; }
    }
}
