﻿using OASystem.Domain.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{

    /// <summary>
    /// 团组任务分配表
    /// </summary>
    [SugarTable("Grp_GroupsTaskAssignment")]
    public class Grp_GroupsTaskAssignment:EntityBase
    {

        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DIId { get; set; }
        /// <summary>
        /// 配置任务（设置数据外键编号）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CTId { get; set; }

        /// <summary>
        /// 员工外键编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int UId { get; set; }

        /// <summary>
        /// 启用标识
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsEnable { get; set; }
    }
}
