﻿using OASystem.Domain.Entities.Groups;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    public class AirTicketReservationsView:Grp_AirTicketReservations
    {
        /// <summary>
        /// 总经理是否审核
        /// </summary>
        public int IsAuditGM { get; set; }
        /// <summary>
        /// 舱类型
        /// </summary>
        public string CTypeName { get; set; }
        public string PreCurrencyStr { get; set; }
        public string CurrencyStr { get; set; }

        public string FlightDescription { get; set; }
    }

    public class AirGroupCostParameterView
    {
        /// <summary>
        /// 经济舱成本
        /// </summary>
        public decimal JJCCB { get; set; }
        /// <summary>
        /// 经济舱系数
        /// </summary>
        public decimal JJCXS { get; set; }
        /// <summary>
        /// 经济舱人数
        /// </summary>
        public int JJCRS { get; set; }
        /// <summary>
        /// 公务舱成本
        /// </summary>
        public decimal GWCCB { get; set; }
        /// <summary>
        /// 公务舱系数
        /// </summary>
        public decimal GWCXS { get; set; }
        /// <summary>
        /// 公务舱人数
        /// </summary>
        public int GWCRS { get; set; }
    }
}
