﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.SmallFun
{
    /// <summary>
    /// 汇率
    /// 返回视图
    /// </summary>
    public class ExchangeRateView
    {
        /// <summary>
        /// 转换前币种
        /// </summary>
        public string CurrencyCodePre { get; set; }

        /// <summary>
        /// 转换前名称
        /// </summary>
        public string CurrencyNamePre { get; set; }

        /// <summary>
        /// 转换前金额
        /// </summary>
        public decimal MoneyPre { get; set; }

        /// <summary>
        /// 转换后币种
        /// </summary>
        public string CurrencyCodeSuf { get; set; }

        /// <summary>
        /// 转换后名称
        /// </summary>
        public string CurrencyNameSuf { get; set; }

        /// <summary>
        /// 转换后金额
        /// </summary>
        public decimal MoneySuf { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        public string? UpdateTime { get; set; }
    }
}
